Strict 

Include "TileStudio.bmx"

'- Set graphics mode ----------------------------
Local fullScreen = Proceed("Fullscreen?")

Local mhz

If fullScreen = 1
	mhz = 85
	
	While Not GraphicsModeExists(640,480,32,mhz)
		mhz = mhz - 5
		
		If mhz < 60
			mhz = 60
			Graphics 640,480,0
		EndIf
	Wend
	
	Graphics 640,480,32,mhz
ElseIf fullScreen = 0
	mhz = 80
	Graphics 640,480,0,mhz
Else
	End
EndIf
'------------------------------------------------

Local tileSets:TSTileSet[] = LoadTileSets("map_ScrollDemo.tsmap")

Local ix = 0, iy = 0

Local fpsCounter
Local fpsTimer
Local fpsRate
Local dt# = 60/Float(mhz)

'- Main Loop ------------------------------------
While Not KeyHit(KEY_ESCAPE)
	ix :- (KeyDown(KEY_RIGHT)-KeyDown(KEY_LEFT))*3*dt
	iy :- (KeyDown(KEY_DOWN)-KeyDown(KEY_UP))*3*dt
	
	If ix > 0
		ix = 0
	EndIf
	
	If iy > 0
		iy = 0
	EndIf
	
	If ix < -384
		ix = -384
	EndIf
		
	If iy < -288
		iy = -288
	EndIf
	
	tileSets[1].DrawMap(0,ix+100,iy+120)
	tileSets[0].DrawMap(0,ix,iy)
	
	tileSets[0].seqs[0].curFrame :+ 1
	tileSets[0].seqs[0].curFrame :Mod tileSets[0].seqs[0].frames
	
	DrawText "Use the arrows to move",10,10
	DrawText "[Esc] to exit",10,25
	Flip
	Cls
Wend

End